History
========

## 09-03-2022 Version 0.3.2

- [ensure_set_user_libraries] Ensure correct ordering

## 09-03-2022 Version 0.3.1

- [use_pg_permission_extension_to_audit_object_permissions] Defer until pg version is known
- [set_user_extension_is_installed] Defer until pg version is known

## 04-02-2022 Version 0.3.0

- [core] Add pg14 V1.0.0 benchmark

## 07-10-2021 Version 0.2.8

- [ensure_set_user_libraries] Fix rhel 8 issues

## 07-10-2021 Version 0.2.7

- [core] Fix Rhel 8 issues

## 16-09-2021 Version 0.2.6

- [data_cluster_initialized_successfully] Fix mode specification to octal.

## 08-09-2021 Version 0.2.5

- [docs] Include playground link and add REFERENCE.md
- [ensure_pg_permissions_libraries] Fix used path names
- [docs] Fix fix first steps documentation

## 02-06-2021 Version 0.2.4

- [backend_runtime_parameters_are_configured_correctly] Skip JIT parameters on pg versions 10 and lower
- [postgresql_audit_extension_pgaudit_is_enabled] Fix version for pg10
- [systemd_service_files_are_enabled] Fix hardcoded version
- [sudo_is_configured_correctly] Add newline to sudo file
- [ensure_extension] Only run when we know the version
- [core] Allow override on already existing config

## 02-06-2021 Version 0.2.3

- [pg_unsafe_authentication_methods] Fix when Postgres is not yet installed

## 28-05-2021 Version 0.2.2

- Update README.md

## 28-05-2021 Version 0.2.1

- Update README

## 28-05-2021 Version 0.2.0

- [core] Enabled controls for pg11 and pg10
- [core] Enabled some other controls in postgres 13
- [log_file_permissions_are_set_correctly] Fix file mode settings
- [set_user_extension_is_installed] Implement the installation of required libraries
- [use_pg_permission_extension_to_audit_object_permissions] Implement the installation of required libraries
- [sudo_is_configured_correctly] Initial implementation
- [login_via_host_tcp_ip_socket_is_configured_correctly] Initial implementation
- [core] Use resource_value for all parameter settings
- [cis] Add pg12 V1.0.0 data
- [excessive_function_privileges_are_revoked] Initial implementation
- [file_permissions_mask_is_correct] Initial implementation
- [postgresql_pg_wheel_group_membership_is_correct] Initial implementation
- [use_pg_permission_extension_to_audit_object_permissions] Initial implementation
- [set_user_extension_is_installed] Initial implementation
- [excessive_administrative_privileges_are_revoked] Initial implementation
- [facts/roles_with_excessive_admin_privs] Initial implementation
- [facts/pg_authorized_users] Initial implementation
- [core] CIS v1.0.0 for pg12 generated
- [systemd_service_files_are_enabled] More robust implementation

## 17-05-2021 Version 0.1.1

- [postgresql_audit_extension_pgaudit_is_enabled] Make it version dependant
- [data_cluster_initialized_successfully] Make it version dependant

## 10-05-2021 Version 0.1.0

- Initial release

